import { createApp } from 'vue';
import { createPinia } from 'pinia';
import App from './App.vue';
import { router } from './router';
import '../../styles/app.scss';
import { installVueQuery } from './shared/plugin/vueQuery';
// Création du store
const pinia = createPinia();

// Création de l'application
const app = createApp(App);

// Installation des plugins
app.use(router);
app.use(pinia);
app.use(installVueQuery);
// Montage de l'application
app.mount('#vue-app');
